# $Revision: 1.32 $, $Date: 2011/09/11 14:00:03 $
#
# TODO:
# - package mime info files
# - package icons
# or drop this spec and package new geda
Summary:	Libraries for the gEDA project
Summary(pl.UTF-8):	Biblioteki projektu gEDA
Name:		libgeda
Version:	1.4.2
Release:	4
License:	GPL v2+
Group:		X11/Libraries
Source0:	ftp://ftp.geda.seul.org/pub/geda/release/v1.4/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	e22e28cf3684efcf42f6591995fe943b
Patch0:		%{name}-guile.patch
URL:		http://www.geda.seul.org/
BuildRequires:	autoconf >= 2.54
BuildRequires:	automake
BuildRequires:	glib2-devel >= 1:2.4.0
BuildRequires:	gtk+2-devel >= 2:2.4.0
BuildRequires:	guile-devel >= 5:1.6
BuildRequires:	libltdl-devel
BuildRequires:	libtool
BuildRequires:	intltool >= 0.35
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		no_install_post_check_so 1

%description
GNU Electronic Design Automation library.

%description -l pl.UTF-8
Biblioteka Systemu Zautomatyzowanego Projektowania Układów
Elektronicznych GNU.

%package devel
Summary:	Header files and develpment documentation for libgeda
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja do libgeda
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.2.0
Requires:	gtk+2-devel >= 2:2.4.0
Requires:	guile-devel >= 5:1.6

%description devel
Header files and develpment documentation for libgeda.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja do libgeda.

%package static
Summary:	Static libgeda library
Summary(pl.UTF-8):	Biblioteka statyczna libgeda
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libgeda library.

%description static -l pl.UTF-8
Biblioteka statyczna libgeda.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/gEDA/scheme

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_docdir}/geda-doc/man
install -d $RPM_BUILD_ROOT%{_docdir}/geda-doc/readmes

# on TI i have that locales under different names mv worked fine for me
mv $RPM_BUILD_ROOT%{_localedir}/{nl_NL,nl}
mv $RPM_BUILD_ROOT%{_localedir}/{de_DE,de}
mv $RPM_BUILD_ROOT%{_localedir}/{es_ES,es}

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libgeda.la

%find_lang %{name}33

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}33.lang
%defattr(644,root,root,755)
%doc AUTHORS BUGS ChangeLog README TODO
%attr(755,root,root) %{_libdir}/libgeda.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgeda.so.33
%{_datadir}/gEDA
%{_datadir}/gEDA/scheme
%{_docdir}/geda-doc

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgeda.so
%{_includedir}/%{name}
%{_pkgconfigdir}/libgeda.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgeda.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libgeda.spec,v $
Revision 1.32  2011/09/11 14:00:03  arekm
- rel 4; fix build with guile 2.x

Revision 1.31  2011/09/11 13:53:02  arekm
- release 3

Revision 1.30  2011/04/06 18:33:14  wiget
- drop libtool file
- disable unresolved symbols check
- rel. 2

Revision 1.29  2008/12/21 14:42:51  agaran
- up to 1.4.2

Revision 1.28  2008/10/29 17:51:06  agaran
- up to 1.4.1, builds here on Ti,

Revision 1.27  2008/07/26 14:55:21  agaran
- up to 1.4.0, builds here, rel 1

Revision 1.26  2008/01/26 11:33:56  qboosh
- cleanup, updated BRs

Revision 1.25  2008-01-24 01:36:33  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.24  2007-11-22 07:20:06  luzik
- updated to 1.2.0

Revision 1.23  2007/02/13 06:46:51  glen
- tabs in preamble

Revision 1.22  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.21  2007/02/05 12:04:55  agaran
- fixed md5 sums

Revision 1.20  2007/02/05 12:01:12  agaran
- up to 20061020, rel 0.1 (i use and works.. but who knows)

Revision 1.19  2006/11/09 20:39:45  glen
- strict internal deps

Revision 1.18  2005/10/06 22:22:31  jpc
- up to 20050820

Revision 1.17  2005/04/20 12:16:07  jpc
- up to 20050313
- rel 1 (works well)

Revision 1.16  2004/11/27 18:52:08  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.15  2004/05/25 17:30:53  kali
- updated to 20040111
- removed patch0 (not needed)

Revision 1.14  2003/10/24 10:39:48  qboosh
- added acfix patch for typo in configure which disabled optflags
- added data dirs shared between dependent packages

Revision 1.13  2003/10/22 14:00:39  qboosh
- updated deps, cleanups, moved devel docs (info) to -devel

Revision 1.12  2003/09/16 21:49:31  pawelk
- gEDA 20030901

Revision 1.11  2003/08/28 08:20:32  ankry
- cosmetics

Revision 1.10  2003/05/28 12:59:29  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 05:49:50  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/01/18 22:53:34  juandon
- removed two lines with define

Revision 1.7  2002/11/27 21:10:41  juandon
- new %doc

Revision 1.6  2002/11/12 00:19:24  misiek
- updated to 20010304

Revision 1.5  2002/02/23 03:26:01  kloczek
- adapterized.

Revision 1.4  2002/02/22 23:29:11  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/01/18 02:13:38  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/05/23 02:14:54  qboosh
- use %rpmldflags

Revision 1.1  2001/03/07 21:05:32  misiek
- new
